Bug 86494 - The lauguage of KDE's user interface wrongly determined by LC_CTYPE
The lauguage of KDE's user interface wrongly determined by LC_CTYPE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-03-24 07:40 EST by Need Real Name
Modified: 2008-09-17 07:12 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-18 14:31:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-03-24 07:40:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
I want to set up an account with 
1).an English user interface, 
2).the ability to type in Chinese whenever I want to. 

In GNOME 2.x, I simply set these in ~/.i18:
export LANGUAGE=en_US
export LC_CTYPE=zh_CN
These two lines guarantee 1) and 2) respectively.

However, I can't achieve this goal in KDE. As we know, the user interface of KDE
should be determined by the variables "Country" and "Language" in the "Locale"
section of the file ~/.kde/share/config/kdeglobals. I find that if I set
LC_CTYPE  to zh_CN, the user interface will definitely turn to Chinese, even if
"Country" and "Language" have been set to en_US in ~/.kde/share/config/kdeglobals.

Version-Release number of selected component (if applicable):
KDE-3.1-7 Red Hat

How reproducible:

Steps to Reproduce:
1.Use kcontrol to set "Country" to USA and "Language" to English.
(Alternatively, you can edit ~/.kde/share/config/kdeglobals manually.)
2.Create ~/.i18n, add the following line
export LC_CTYPE=zh_CN
3.Login into KDE
4.Modify ~/.i18n to this:
export LC_CTYPE=en_US
5.Login into KDE again.     

Actual Results:  
in step 3, the user interface is Chinese.
in step 5, the user interface is English.

Expected Results:  In both step 3 and 5, the user interface is English.

Additional info:

My classmate uses gentoo. He has verified the KDE 3.1 of gentoo does not have
this problem.
Comment 1 Need Real Name 2003-03-24 09:41:42 EST
The following URL is an article about how to achieve this goal in Mandrake 9.0:

This confirms that what I've observed for redhat 8.1beta3 is a BUG!
Comment 2 Ngo Than 2003-04-02 11:14:04 EST
*** Bug 87754 has been marked as a duplicate of this bug. ***
Comment 3 Petr Rockai 2006-07-17 14:37:58 EDT
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.
Comment 4 Bill Nottingham 2006-10-18 14:31:33 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.